Skip to content

Mitigation details.

GET
/api/infraprotect/namespaces/{namespace}/infraprotect/mitigation/{mitigation_id}
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/mitigation/example \
--header 'Authorization: <Authorization>'

Returns details of a single mitigation.

Examples of this operation.

namespace
required
string

Namespace This request is supported only in system namespace.

mitigation_id
required
string

Mitigation ID ID of the mitigation we want to GET the details for.

A successful response.

Media typeapplication/json
Mitigation response

Details of a mitigation.

object
details
Details

Base64 encoded document with mitigation details. The document resembles HTML and should be displayed as such.

string format: byte
<= 1024 characters
prefixes
Prefixes

Prefixes associated to mitigation.

Array<string>
Examplegenerated
{
"details": "example",
"prefixes": [
"example"
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example